LLVM: lldb::SBThreadCollection Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBThreadCollection Class Reference

`#include <SBThreadCollection.h>`

## Public Member Functions
| SBThreadCollection ()
| SBThreadCollection (const SBThreadCollection &rhs)
const SBThreadCollection & | operator= (const SBThreadCollection &rhs)
| ~SBThreadCollection ()
bool | IsValid () const
size_t | GetSize ()
lldb::SBThread | GetThreadAtIndex (size_t idx)

## Protected Member Functions
lldb_private::ThreadCollection * | get () const
lldb_private::ThreadCollection * | operator-> () const
lldb::ThreadCollectionSP & | operator* ()
const lldb::ThreadCollectionSP & | operator* () const
| SBThreadCollection (const lldb::ThreadCollectionSP &threads)
void | SetOpaque (const lldb::ThreadCollectionSP &threads)

## Friends
class | SBProcess
class | SBThread

## Detailed Description

Definition at line 17 of file SBThreadCollection.h.

## Constructor & Destructor Documentation

lldb::SBThreadCollection::SBThreadCollection | ( |  | ) |

lldb::SBThreadCollection::SBThreadCollection | ( | const SBThreadCollection & | rhs | ) |

lldb::SBThreadCollection::~SBThreadCollection | ( |  | ) |

lldb::SBThreadCollection::SBThreadCollection | ( | const lldb::ThreadCollectionSP & | threads | ) |
| protected

## Member Function Documentation

lldb_private::ThreadCollection* lldb::SBThreadCollection::get | ( |  | ) | const
| protected

size_t lldb::SBThreadCollection::GetSize | ( |  | ) |

lldb::SBThread lldb::SBThreadCollection::GetThreadAtIndex | ( | size_t | idx | ) |

bool lldb::SBThreadCollection::IsValid | ( |  | ) | const

lldb::ThreadCollectionSP& lldb::SBThreadCollection::operator* | ( |  | ) |
| protected

const lldb::ThreadCollectionSP& lldb::SBThreadCollection::operator* | ( |  | ) | const
| protected

lldb_private::ThreadCollection* lldb::SBThreadCollection::operator-> | ( |  | ) | const
| protected

const SBThreadCollection& lldb::SBThreadCollection::operator= | ( | const SBThreadCollection & | rhs | ) |

void lldb::SBThreadCollection::SetOpaque | ( | const lldb::ThreadCollectionSP & | threads | ) |
| protected

## Friends And Related Function Documentation

friend class SBProcess
| friend

Definition at line 48 of file SBThreadCollection.h.

friend class SBThread
| friend

Definition at line 49 of file SBThreadCollection.h.

The documentation for this class was generated from the following file:

- SBThreadCollection.h